Bug 547700 - kde-settings: use qtcurve-gtk2 by default
kde-settings: use qtcurve-gtk2 by default
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kde-settings (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F13blocker-KDE
  Show dependency treegraph
 
Reported: 2009-12-15 08:21 EST by Rex Dieter
Modified: 2009-12-25 16:56 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-25 16:56:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2009-12-15 08:21:52 EST
Subject says it all, integrates nicely.  make it so! :)
Comment 1 Rex Dieter 2009-12-24 10:45:33 EST
Any suggestions on implimenting this?

Off the top of my head:
1.  Rely on XDG_DATA_DIRS (or equivalent) and put some thing @
/usr/share/kde-settings/kde-profile/default/.../gtkrc
containing:
include "/usr/share/themes/QtCurve/gtk-2.0/gtkrc"

2.  create something like
/etc/kde/env/gtk2-rc-files.sh
containing:
GTK2_RC_FILES="/usr/share/themes/QtCurve/gtk-2.0/gtkrc"
export GTK2_RC_FILES

3.  hybrid of 1,2

Any better/easier way ?
Comment 2 Rex Dieter 2009-12-24 13:00:46 EST
I'm leaning toward an option
4.  using something like 2, and merge what's in kcm-gtk's env script as well, copy os default/skeleton script to users' ~/.gtkrc-2.0-kde4 , and set GTK2_RC_FILES at that.
Note: this will deprecate kcm-gtk's current,
/etc/kde/evn/kcm-gtk.sh
script.
Comment 3 Rex Dieter 2009-12-25 16:56:28 EST
* Fri Dec 25 2009 Rex Dieter <rdieter@fedoraproject.org> 4.4-6
- use qtcurve-gtk2 by default (#547700

Note You need to log in before you can comment on or make changes to this bug.